#version 430 core

layout(location = 0) in vec3 position;

out vec2 textureCoords;

uniform mat4 modelMatrix;

void main(void){
	
	gl_Position = modelMatrix * vec4(position, 1.0);
	textureCoords = vec2((position.x+1.0)/2.0, 1 - (position.y+1.0)/2.0);
}